common:
    macros:
        - HID_LED_DEF=GPIO_LED_ON
        - CDC_LED_DEF=GPIO_LED_ON
        - MSC_LED_DEF=GPIO_LED_ON
        - USB_PROD_STR="BBC micro:bit CMSIS-DAP"
        - IO_CONFIG_OVERRIDE
        - DAP_DEFAULT_SWJ_CLOCK=6000000     # Results in one slow delay of 3 cycles 
        - BOARD_USB_BMAXPOWER=0x96
        - CDC_ACM_DEFAULT_BAUDRATE=115200
    includes:
        - source/board/microbitv2/
        - source/board/microbitv2/kl27z/
    sources:
        board:
            - source/board/microbitv2/
            - source/board/microbitv2/kl27z/
        target:
            - source/family/nordic/nrf52/target.c
            - source/family/nordic/target_reset_nrf52.c
